com.google.appengine.api.appidentity.dev

## Class LocalAppIdentityService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.appidentity.dev.LocalAppIdentityService

-     public class LocalAppIdentityService
      extends AbstractLocalRpcService

  Stub implementation of the app identity service.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE`
    `static java.lang.String` | `PRIVATE_KEY_PATH`
    `static java.lang.String` | `PUBLIC_CERT_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAppIdentityService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetAccessTokenResponse` | `getAccessToken(Status status, GetAccessTokenRequest request)`
    `GetDefaultGcsBucketNameResponse` | `getDefaultGcsBucketName(Status status, GetDefaultGcsBucketNameRequest request)`
    `java.lang.String` | `getPackage()`
    `GetPublicCertificateForAppResponse` | `getPublicCertificatesForApp(Status status, GetPublicCertificateForAppRequest request)`
    `GetServiceAccountNameResponse` | `getServiceAccountName(Status status, GetServiceAccountNameRequest request)`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `SignForAppResponse` | `signForApp(Status status, SignForAppRequest request)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      See Also:
        Constant Field Values

    - #### PRIVATE_KEY_PATH

          public static final java.lang.String PRIVATE_KEY_PATH

      See Also:
        Constant Field Values

    - #### PUBLIC_CERT_PATH

          public static final java.lang.String PUBLIC_CERT_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalAppIdentityService

          public LocalAppIdentityService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                           java.util.Map<java.lang.String,java.lang.String> properties)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### signForApp

          public SignForAppResponse signForApp(Status status,
                                               SignForAppRequest request)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPublicCertificatesForApp

          public GetPublicCertificateForAppResponse getPublicCertificatesForApp(Status status,
                                                                                GetPublicCertificateForAppRequest request)

    - #### getServiceAccountName

          public GetServiceAccountNameResponse getServiceAccountName(Status status,
                                                                     GetServiceAccountNameRequest request)

    - #### getDefaultGcsBucketName

          public GetDefaultGcsBucketNameResponse getDefaultGcsBucketName(Status status,
                                                                         GetDefaultGcsBucketNameRequest request)

    - #### getAccessToken

          public GetAccessTokenResponse getAccessToken(Status status,
                                                       GetAccessTokenRequest request)